Package: org.apache.groovy.swing.binding

## [Java] Class AggregateBinding

- org.apache.groovy.swing.binding.AggregateBinding

- All Implemented Interfaces and Traits:
    BindingUpdatable

      public class AggregateBinding
      extends Object
      implements BindingUpdatable

  An aggregation of multiple bindings

  Since:
    Groovy 1.6

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Set<BindingUpdatable>` | `bindings` |
    `protected boolean` | `bound` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addBinding(BindingUpdatable binding)`
    `` | `public void` | `bind()`
    `` | `public void` | `rebind()`
    `` | `public void` | `removeBinding(BindingUpdatable binding)`
    `` | `public void` | `reverseUpdate()`
    `` | `public void` | `unbind()`
    `` | `public void` | `update()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected Set<BindingUpdatable> bindings

    - #### protected boolean bound

  - ### Method Detail

    - #### public void addBinding(BindingUpdatable binding)

    - #### @Override
      public void bind()

    - #### @Override
      public void rebind()

    - #### public void removeBinding(BindingUpdatable binding)

    - #### @Override
      public void reverseUpdate()

    - #### @Override
      public void unbind()

    - #### @Override
      public void update()